Name:           sane-airscan
Version:        0.99.7
Release:        1%{?dist}
Summary:        SANE backend for AirScan (eSCL) and WSD document scanners
License:        GPLv2+ with SANE exceptions
URL:            https://github.com/alexpevzner/sane-airscan
Source:         https://github.com/alexpevzner/%{name}/archive/%{version}.tar.gz
#Source:         https://github.com/alexpevzner/%%{name}/archive/%%{name}-%%{version}.tar.gz

Patch01: airscan-debug.patch

BuildRequires:  avahi-devel
BuildRequires:  glib2-devel,libsoup-devel,libxml2-devel
BuildRequires:  sane-backends-devel
BuildRequires:  avahi-glib-devel,libjpeg-turbo-devel,libpng-devel
BuildRequires:  gcc
#BuildRequires:  meson
BuildRequires:  pkgconf-pkg-config

# needs shared library implementing the backend
Requires: libsane-airscan%{?_isa} = %{version}-%{release}

%description
This package contains a tool for discovering scanning devices in cases
when automatic discovery fails - airscan-discover.

%package -n libsane-airscan
Summary: SANE backend for eSCL or WSD
# needs sane-backends because it puts files into its dirs and
# it is not functional without it
Requires: sane-backends%{?_isa}

%description -n libsane-airscan
This package contain a SANE backend for MFP and document scanners that
implements either eSCL (AirScan/AirPrint scanning) or WSD "driverless"
scanning protocol


%prep
%setup -q -n %{name}-%{version}
%patch01 -p1 -b .airscan-debug

%build
export CFLAGS="${RPM_OPT_FLAGS}"
export CPPFLAGS="${RPM_OPT_FLAGS}"

make

%install
mkdir -p %{buildroot}/
make install PREFIX=%{buildroot}

%files
%license COPYING LICENSE
%{_bindir}/airscan-discover
%{_mandir}/man1/airscan-discover.1.gz

%files -n libsane-airscan
%license COPYING LICENSE
%{_libdir}/sane/libsane-airscan.so.1
%config /etc/sane.d/airscan.conf
%config /etc/sane.d/dll.d/airscan
%{_mandir}/man5/sane-airscan.5.gz


%changelog
* Fri Jun 19 2020 Zdenek Dohnal <zdohnal@redhat.com> - 0.0.0-1
- initial package
